--- Makefile	Wed Mar 10 11:53:47 2004
+++ Makefile.new	Wed Mar 10 11:53:37 2004
@@ -22,6 +22,12 @@
 USE_REINPLACE=	yes
 STARTUP_SCRIPT=	pam_smbd.sh.sample
 
+
+# Disable --disable-root-only (--disable-root-only is for use in authentication with apache and other non-root services)
+.if !defined(WITHOUT_DISABLE_ROOT)
+CONFIGURE_ARGS += --disable-root-only
+.endif
+
 WRKSRC=		${WRKDIR}/${DISTNAME}
 
 post-patch:
